# Tasks
0. Project skeleton
    1. Eslint
    2. Webpack
    3. Config
    4. TC
    5. Babel ???
    6. Testing framework
    7. Logging framework
1. Process manager
   1. Demonize - different Linux distribution service
   2. Boot - master/child processes and communication
   3. Monitor child processes - monitor for events, restart
2. Define API - one by one
    1. SQS in/out messages
    2. IPC in/out messages
3. Verification using joi 
   1. Incoming SQS message
   2. Incoming IPC message
4. SQS
   1. Poll
   2. Send
   3. Update visibility timeout
   4. Delete message
   5. Stop polling
5. Scanner
6. Statistics
7. Error handling
8. Transfer
    1. AWS S3 SDK 
        1. Use managed upload 
        2. Limit the amount of memory
        3. Listen for progress
    2. Node stream 
    3. Progress report
9. Short lived actions
   1. Mount
   2. Delete mount
   3. Show mount
   4. List buckets + region + tags
   5. Calculate placement
   6. List folders 
10. Flows
   1. Data broker
      1. Create -> start up
      2. Join
      3. Leave
      4. Delete
   2. Relationship
      1. Create/sync
      2. Pause
      3. Abort
      4. Delete
11. CLI for standalone testing
    1. Setup separate project
    2. Implements flows
12. Backend integration
13. Installer
14. Upgrade
15. Proxy
    1. Select and test library
    2. Implement
16. ElasticSearch integration
    1. Fire hose appender
    2. New EC cluster
    3. Gather information about data
    4. Define indexes

# Open questions
1. Do we really need babel? -> No

# Other 
## Look into the following modules
1. Process monitors
    1. PM2
    2. forever
    3. nodemon
2. File system scanners
    1. glob
    2. globy
    3. readdirp
    4. klaw
3. FS extensions
    1. graceful-fs
    2. fs-extra
4. Testing
    1. https://raygun.com/blog/javascript-unit-testing-frameworks/
    2. https://medium.com/powtoon-engineering/a-complete-guide-to-testing-javascript-in-2017-a217b4cd5a2a
5. State machine
    1. stately.js - https://www.npmjs.com/package/stately.js
    2. machina - https://www.npmjs.com/package/machina
6. Proxy
    1. https://www.npmjs.com/package/proxy-agent
    2. https://www.npmjs.com/package/https-proxy-agent
7. Binary execution
    1. https://github.com/sindresorhus/execa
8. Performance measurement 
    1. Measure memory and CPU use https://nodejs.org/api/perf_hooks.html
9. Other interesting modules
    1. https://www.npmjs.com/package/prettier
    2. https://github.com/andywer/leakage
    3. https://github.com/bestiejs/benchmark.js
    4. https://github.com/sindresorhus/awesome-nodejs
    5. https://www.npmjs.com/package/bytes
    6. http://numeraljs.com/
    
# Learn
https://github.com/substack/stream-handbook
https://www.joyent.com/node-js/production/design




