#!/bin/bash

usage () { echo "Usage: $0 [ -h <proxy_host> -p <proxy_port> [ -u <proxy_username> -w <proxy_password> ] ]"; }

while getopts :a:s:h:p:u:w: opt ; do
   case $opt in
      h) PROXY_HOST=$OPTARG ;;
      p) PROXY_PORT=$OPTARG ;;
      u) PROXY_USERNAME=$OPTARG ;;
      w) PROXY_PASSWORD=$OPTARG ;;
      *) echo 'no valid input available' ;;
   esac
done


if ! [ -z "$PROXY_HOST" ] && ! [ -z "$PROXY_PORT" ];then
    PROXY_STRING=$PROXY_HOST:$PROXY_PORT
    if ! [ -z "$PROXY_USERNAME" ] && ! [ -z "$PROXY_PASSWORD" ];then
        PROXY_STRING=$PROXY_USERNAME:$PROXY_PASSWORD@$PROXY_STRING
    fi
    export http_proxy=http://$PROXY_STRING
    export https_proxy=http://$PROXY_STRING
fi

sudo yum -y update --security
sleep 5
sudo yum -y remove nodejs
sleep 5
sudo yum clean all
sleep 5
sudo rm -rf /var/cache/yum
sleep 5
sudo rm -f /etc/yum.repos.d/nodesource-el.repo

sleep 5
curl --silent --location https://rpm.nodesource.com/setup_8.x --connect-timeout 5 --retry 3 | sudo -E bash -
sudo yum -y install nodejs

cd /opt/netapp/databroker
sudo npm i --production

# install PM2 globally
sudo npm i pm2 -g

# start
if ! [ -z "$PROXY_STRING" ];then
    sudo AWS_PROFILE=data-broker http_proxy=http://$PROXY_STRING pm2 start app.js --name data-broker --output /dev/null --error /dev/null
else
    sudo AWS_PROFILE=data-broker pm2 start app.js --name data-broker --output /dev/null --error /dev/null
fi

sudo pm2 startup
sudo pm2 save
