const { chunk } = require('lodash');
const AWS = require('aws-sdk');
const proxy = require('proxy-agent');
const config = require('config');
const { v4 } = require('uuid');

const ACCESS_KEY = 'AKIAIXIO2P3HHXNSCHPA';
const SECRET_KEY = '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';
const REGION = 'us-east-1';
const KINESIS_STREAM_NAME = config.get('kinesis.stream-name');

let LOG_EVENTS = [];

function getKinesis() {
    let httpOptions;

    if (process.env.http_proxy) {
        httpOptions = {
            agent: proxy(process.env.http_proxy)
        };
    }

    return new AWS.Kinesis({
        accessKeyId: ACCESS_KEY,
        secretAccessKey: SECRET_KEY,
        region: REGION,
        httpOptions
    });
}

async function putRecords(records) {
    try {
        const kinesis = getKinesis();
        await kinesis.putRecords({
            Records: records,
            StreamName: KINESIS_STREAM_NAME
        }).promise();
    } catch (err) {
        console.error('Failed to put records', err); // eslint-disable-line no-console
    }
}

function send() {
    if (LOG_EVENTS.length === 0) {
        return;
    }

    chunk(LOG_EVENTS, 500).forEach(logEvents => {
        const records = logEvents.map(logEvent => ({
            Data: JSON.stringify(logEvent),
            PartitionKey: v4()
        }));

        putRecords(records);
    });

    LOG_EVENTS = [];
}

setInterval(() => send(), 5000);

function log(logEvent) {
    LOG_EVENTS.push(logEvent);
}

module.exports = log;
