const Joi = require('@hapi/joi');
const endPointSchema = require('../schemas/endPoint-schema');
const { SCAN_MODE_SOURCE_ONLY, SCAN_MODE_TARGET_ONLY, SCAN_MODE_SOURCE_AND_TARGET } = require('../../lib/consts');

const scannerIncomingSQSSchema = Joi.object().keys({
    relationshipId: Joi.string().required(),
    source: endPointSchema.required(),
    target: endPointSchema.required(),
    type: Joi.string().valid(SCAN_MODE_SOURCE_ONLY, SCAN_MODE_TARGET_ONLY, SCAN_MODE_SOURCE_AND_TARGET).required()
});

module.exports = scannerIncomingSQSSchema;
