const Joi = require('@hapi/joi');

const pattern = /([\d\w]{24}).(src|trg).(azure|cifs|s3|sgws|ibm|alibaba|ontap)/;
const metadataSchema = Joi.array().items(Joi.object().keys({
    k: Joi.string().regex(pattern),
    v: Joi.alternatives()
        .try(Joi.object().keys({
            username: Joi.string(),
            password: Joi.string(),
            workgroup: Joi.string()
        }), Joi.object().keys({
            accessKey: Joi.string(),
            secretKey: Joi.string()
        }), Joi.object().keys({
            storageAccountConnectionString: Joi.string()
        }), Joi.object().keys({
            projectId: Joi.string(),
            clientEmail: Joi.string().email(),
            privateKey: Joi.string()
        }))
}));

module.exports = metadataSchema;
