const Joi = require('@hapi/joi');
const endPointSchema = require('../schemas/endPoint-schema');
const statsSchema = require('../schemas/stats-schema');
const { ACTION_COPY, ACTION_DELETE_SOURCE, ACTION_DELETE_TARGET } = require('../../lib/consts');

const transferrerIncomingSQSSchema = Joi.object().keys({
    type: Joi.string().valid(ACTION_COPY, ACTION_DELETE_SOURCE, ACTION_DELETE_TARGET).required(),
    target: endPointSchema.required(),
    source: endPointSchema.when('type', { is: ACTION_COPY, then: Joi.required() }),
    entry: statsSchema.when('type', { is: ACTION_COPY, then: Joi.required() }),
    relationshipId: Joi.string().required()
});

const sqsTransferrerIncomingMessagesSchemes = {
    [ACTION_COPY]: transferrerIncomingSQSSchema,
    [ACTION_DELETE_TARGET]: transferrerIncomingSQSSchema,
    [ACTION_DELETE_SOURCE]: transferrerIncomingSQSSchema
};

module.exports = sqsTransferrerIncomingMessagesSchemes;
