const log4js = require('log4js');
const { promisify } = require('util');

log4js.configure({
    appenders: {
        console: {
            type: 'console',
            layout: { type: 'colored' }
        },
        file: {
            type: 'file',
            filename: './logs/tests.log',
            maxLogSize: 5 * 1024 * 1024, // 5MB
            backups: 5,
            layout: { type: 'basic' }
        }
    },
    categories: {
        default: {
            appenders: ['console', 'file'],
            level: 'debug'
        }
    }
});

module.exports = {
    getLogger(category) {
        return log4js.getLogger(category);
    },
    async shutdown() {
        await promisify(log4js.shutdown)();
    }
};
