const Promise = require('bluebird');


/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
function up() {
    const { db } = this.connection;
    return Promise.resolve()
        .then(() => {
            const relationshipsDb = db.collection('relationships');
            return relationshipsDb.updateMany({}, { $set: { 'additionalInfo.deleteOnTarget': true } });
        });
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
function down() {
    return this.model('User').countDocuments();
}

module.exports = { up, down };
