const Promise = require('bluebird');
/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
function up() {
    const { db } = this.connection;
    return Promise.resolve()
        .then(() => {
            const relationshipDb = db.collection('relationships');
            return relationshipDb.updateMany({ status: { $exists: true } }, { $unset: { status: '' } });
        });
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
function down() {
    return Promise.resolve();
}

module.exports = { up, down };
