const Promise = require('bluebird');
/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */

function updateCollectionWithIsQstackField(collection) {
    return collection.updateMany({}, { $unset: { isQstack: '' } });
}

function up() {
    const { db } = this.connection;
    const dataBrokersDb = db.collection('databrokers');
    const timelineDb = db.collection('timelines');

    return Promise.resolve()
        .then(() => updateCollectionWithIsQstackField(dataBrokersDb))
        .then(() => updateCollectionWithIsQstackField(timelineDb));
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
function down() {

}
module.exports = { up, down };
