/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
async function up() {
    const { db } = this.connection;
    const timelineV2 = db.collection('timelinev2');
    const recordsToUpdate = await timelineV2.find({ 'relationship.isQstack': { $exists: true } }).toArray();
    const promises = recordsToUpdate.map(timeLineRecord => {
        const isTrue = (timeLineRecord.relationship.isQstack === 'true');
        timeLineRecord.relationship.isQstack = isTrue;
        timelineV2.save(timeLineRecord);
    });
    await Promise.all(promises);
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
async function down() {
    return this.model('User').countDocuments();
}

module.exports = { up, down };
