

/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
async function up() {
    const { db } = this.connection;
    const relationshipsDb = db.collection('relationships');
    const fileTypes = {
        files: true,
        directories: true,
        symlinks: true
    };
    await relationshipsDb.updateMany({}, { $rename: { additionalInfo: 'settings' } });
    await relationshipsDb.updateMany({}, { $set: { 'settings.fileTypes': fileTypes } });
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
async function down() {
    return this.model('User').countDocuments();
}


module.exports = { up, down };
