
/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
async function up() {
    const { db } = this.connection;
    const relationshipsDb = db.collection('relationships');
    // update source in relationship
    await relationshipsDb.update({ 'source.protocol': 'cifs' }, { $set: { 'source.cifs.type': 'cifs' } }, { multi: true });
    await relationshipsDb.update({ 'target.protocol': 'cifs' }, { $set: { 'target.cifs.type': 'cifs' } }, { multi: true });
    await relationshipsDb.update({ 'target.protocol': 'nfs' }, { $rename: { 'target.nfs.nfsType': 'target.nfs.type' } }, { multi: true });
    await relationshipsDb.update({ 'source.protocol': 'nfs' }, { $rename: { 'source.nfs.nfsType': 'source.nfs.type' } }, { multi: true });

    const timelineDb = db.collection('timelinev2');
    // update source in timelineV2
    await timelineDb.update({ 'relationship.source.protocol': 'nfs' }, { $rename: { 'relationship.source.nfs.nfsType': 'relationship.source.nfs.type' } }, { multi: true });
    await timelineDb.update({ 'relationship.target.protocol': 'nfs' }, { $rename: { 'relationship.target.nfs.nfsType': 'relationship.target.nfs.type' } }, { multi: true });
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
async function down() {
    return this.model('User').countDocuments();
}

module.exports = { up, down };
