
/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
async function up() {
    const { db } = this.connection;
    const relationshipsDb = db.collection('relationships');
    // update source in relationship
    await relationshipsDb.updateMany({ 'source.protocol': 'cifs' }, { $rename: { 'source.cifs.type': 'source.cifs.provider' } });
    await relationshipsDb.updateMany({ 'target.protocol': 'cifs' }, { $rename: { 'target.cifs.type': 'target.cifs.provider' } });
    await relationshipsDb.updateMany({ 'target.protocol': 'nfs' }, { $rename: { 'target.nfs.type': 'target.nfs.provider' } });
    await relationshipsDb.updateMany({ 'source.protocol': 'nfs' }, { $rename: { 'source.nfs.type': 'source.nfs.provider' } });

    await relationshipsDb.updateMany({ 'source.protocol': 'nfs' }, { $unset: { 'source.nfs.nfsType': '' } });
    await relationshipsDb.updateMany({ 'target.protocol': 'nfs' }, { $unset: { 'target.nfs.nfsType': '' } });


    const timelineDb = db.collection('timelinev2');
    // update source in timelineV2
    await timelineDb.updateMany({ 'relationship.source.protocol': 'nfs' }, { $rename: { 'relationship.source.nfs.type': 'relationship.source.nfs.provider' } });
    await timelineDb.updateMany({ 'relationship.target.protocol': 'nfs' }, { $rename: { 'relationship.target.nfs.type': 'relationship.target.nfs.provider' } });

    await timelineDb.updateMany({ 'relationship.source.protocol': 'nfs' }, { $unset: { 'relationship.source.nfs.nfsTyps': '' } });
    await timelineDb.updateMany({ 'relationship.target.protocol': 'nfs' }, { $unset: { 'relationship.target.nfs.nfsType': '' } });

    await timelineDb.updateMany({ 'relationship.source.protocol': 'cifs' }, { $rename: { 'relationship.source.cifs.type': 'relationship.source.cifs.provider' } });
    await timelineDb.updateMany({ 'relationship.target.protocol': 'cifs' }, { $rename: { 'relationship.target.cifs.type': 'relationship.target.cifs.provider' } });
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
async function down() {
    return this.model('User').countDocuments();
}

module.exports = { up, down };
