
/**
 * Make any changes you need to make to the database here
 * and return promise
 * 'this' is the mongoose object
 */
async function up() {
    const { db } = this.connection;
    const timelineDb = db.collection('timelinev2');

    await timelineDb.updateMany({}, {$rename:
            {'relatinoship.target.s3.provider': 'relationship.target.s3.provider'}});
}

/**
 * Make any changes that UNDO the up function side effects here (if possible)
 * and return promise
 * 'this' is the mongoose object
 */
async function down() {
    return this.model('User').countDocuments();
}

module.exports = { up, down };

