const https = require('https');
const AWS = require('aws-sdk');
const hyperid = require('hyperid');
const {SERVICE_REGION} = require('../../utils/consts');


function getKinesis(accessKeyId, secretAccessKey) {
    return new AWS.Kinesis(
        {
            accessKeyId,
            secretAccessKey,
            region: SERVICE_REGION,
            httpOptions: {agent: new https.Agent({keepAlive: true})}
        });
}

async function putRecord(accessKeyId, secretAccessKey, streamName, data) {
    const kinesis = getKinesis(accessKeyId, secretAccessKey);
    return kinesis.putRecord({
        Data: Buffer.from(JSON.stringify(data)),
        PartitionKey: hyperid().uuid,
        StreamName:streamName
    }).promise();
}

module.exports = putRecord;