const AWS = require('aws-sdk');
const { SERVICE_REGION } = require('../../utils/consts');
const getLogger = require('../../utils/logger');
const logger = getLogger();

async function getAwsAccountId() {
    const sts = new AWS.STS({ region: SERVICE_REGION });
    try {
        const callerIdentity = await sts.getCallerIdentity({}).promise();
        return callerIdentity.Account;
    } catch (err) {
        logger.warn('AWS Caller identity is not available');
    }
}


module.exports = getAwsAccountId;
