const { API_ROOT, SWAGGER_UI } = require('../utils/consts');

const getLogger = require('../utils/logger');

const logger = getLogger();

function reactRouterFallback(staticAssetsMiddleware) {
    return function(req, res, next) {
        if (req.url.startsWith(API_ROOT) || req.url.startsWith(SWAGGER_UI)) {
            next();
        } else {
            logger.debug('Requested resource not found:', req.originalUrl, ' . Redirecting...');
            req.url = '/';
            staticAssetsMiddleware(req, res, next);
        }
    };
}

module.exports = reactRouterFallback;
