const mongoose = require('mongoose');

const groupsSchema = new mongoose.Schema({
    account: {
        type: mongoose.Schema.Types.ObjectId, ref: 'Account', index: true
    },
    name: { type: String, required: true },
    dataBrokers: [{ type: mongoose.Schema.Types.ObjectId, ref: 'DataBroker' }]
}, {
    timestamps: true,
    toJSON: {
        transform: (doc, ret) => {
            delete ret.updatedAt;
            delete ret.__v;
            delete ret.account;
            delete ret._id;
            ret.id = doc.id;
            return ret;
        }
    }
});


groupsSchema.index({ account: 1, name: 1 }, { unique: true });

module.exports = mongoose.model('Group', groupsSchema);
