const {USER_METADATA_PREFIX} = require('../utils/consts');
const getUserInfoByJwtToken = require('../lib/auth0');
const getLogger = require('../utils/logger');

const logger = getLogger();


async function getUserEmailByJwtToken() {
    logger.info('Getting user email by JWT token');

    const userInfo = await getUserInfoByJwtToken();
    const userMetadata = userInfo.data[USER_METADATA_PREFIX];

    return userMetadata.email.trim().toLowerCase();
}


module.exports = getUserEmailByJwtToken;