const Relationship = require('../models/relationship');
/*
const getLogger = require('../utils/logger');

const logger = getLogger();
*/


async function getHostsByProtocolAndProvider(endPoint, req) {
    const {params: {protocol}, query: {provider}, account} = req;
    const key = (protocol === 'azure') ? 'storageAccountName' : 'host';
    const query = (provider) ? {
        account,
        [`${endPoint}.${protocol}.${key}`]: {$exists: true},
        [`${endPoint}.${protocol}.provider`]: provider
    } :
        {account, [`${endPoint}.${protocol}.${key}`]: {$exists: true}};
    const relationships = await Relationship.find(query).exec();
    return relationships.map(relationship => ({
        id: relationship.id,
        host: relationship[endPoint][protocol][key]
    }));
}


module.exports = getHostsByProtocolAndProvider;