const {CONTRACT_SUBSCRIPTION, SAAS_SUBSCRIPTION_PROVIDER_AWS} = require('../utils/consts');
const {Account} = require('../models/account');


async function updateSubscription(subscription, accounts) {
    if (subscription) {
        const update = {$set: {subscription}};

        if (subscription.type === CONTRACT_SUBSCRIPTION) {
            update.$set.trialExpiry = new Date();
        }

        if (accounts.length) {
            const accountIds = accounts.map(account => ({_id: account._id}));

            return Account.updateMany({
                $and: [{$or: accountIds},
                    {
                        'subscription.type': {$not: new RegExp(CONTRACT_SUBSCRIPTION, 'i')},
                        'subscription.provider': SAAS_SUBSCRIPTION_PROVIDER_AWS
                    }]
            }, update).exec();
        }
    }
}


module.exports = updateSubscription;
