const express = require('express');
const querystring = require('querystring');
const {API_PATH_MARKETPLACE_REGISTRATION_AWS, SAAS_SUBSCRIPTION_PROVIDER_AWS} = require('../utils/consts');

const getLogger = require('../utils/logger');

const router = express.Router();
const logger = getLogger();


router.post(API_PATH_MARKETPLACE_REGISTRATION_AWS, (req, res) => {
    const token = querystring.escape(req.body['x-amzn-marketplace-token']);

    if (token) {
        res.redirect(`/?rt=${token}&provider=${SAAS_SUBSCRIPTION_PROVIDER_AWS}`);
    } else {
        logger.warn(`Landed on ${API_PATH_MARKETPLACE_REGISTRATION_AWS} page without a token`);
        res.redirect('/');
    }
});


module.exports = router;
