const nock = require('nock');
const {
    REGION, INSTANCE_ID, MAC, SUBNET_ID, SUBNET_CIDR_BLOCK, VPC_ID, VPC_CIDR_BLOCK
} = require('./consts');

nock('http://169.254.169.254')
    .persist()
    .get('/')
    .reply(200)
    .get('/latest/meta-data')
    .reply(200)
    .get('/latest/meta-data/placement/availability-zone')
    .reply(200, `${REGION}a`)
    .get('/latest/meta-data/instance-id')
    .reply(200, INSTANCE_ID)
    .get('/latest/meta-data/mac')
    .reply(200, MAC)
    .get(`/latest/meta-data/network/interfaces/macs/${MAC}/subnet-id`)
    .reply(200, SUBNET_ID)
    .get(`/latest/meta-data/network/interfaces/macs/${MAC}/subnet-ipv4-cidr-block`)
    .reply(200, SUBNET_CIDR_BLOCK)
    .get(`/latest/meta-data/network/interfaces/macs/${MAC}/vpc-id`)
    .reply(200, VPC_ID)
    .get(`/latest/meta-data/network/interfaces/macs/${MAC}/vpc-ipv4-cidr-block`)
    .reply(200, VPC_CIDR_BLOCK)
    .get(`/latest/meta-data/network/interfaces/macs/${MAC}/local-ipv4s`)
    .reply(200, '10.60.3.81');
