const { AsyncLocalStorage } = require('async_hooks');

const LOCAL_STORAGE = new AsyncLocalStorage();
const LOCAL_STORAGE_ACTION_KEY = 'action';
const LOCAL_STORAGE_REQUEST_ID_KEY = 'requestId';


function setRequestId(requestId) {
    const store = LOCAL_STORAGE.getStore();
    store.set(LOCAL_STORAGE_REQUEST_ID_KEY, requestId);
}

function getRequestId() {
    const store = LOCAL_STORAGE.getStore();
    return store?.get('requestId');
}

function setAccountId(accountId) {
    const store = LOCAL_STORAGE.getStore();
    store.set('accountId', accountId);
}

function getAccountId() {
    const store = LOCAL_STORAGE.getStore();
    return store?.get('accountId');
}

function setAction(action) {
    const store = LOCAL_STORAGE.getStore();
    store.set(LOCAL_STORAGE_ACTION_KEY, action);
}

function getAction() {
    const store = LOCAL_STORAGE.getStore();
    return store?.get(LOCAL_STORAGE_ACTION_KEY);
}


function setUserToken(userToken) {
    const store = LOCAL_STORAGE.getStore();
    store.set('userToken', userToken);
}

function getUserToken() {
    const store = LOCAL_STORAGE.getStore();
    return store?.get('userToken');
}

function setUserName(userName) {
    const store = LOCAL_STORAGE.getStore();
    store.set('userName', userName);
}

function getUserName() {
    const store = LOCAL_STORAGE.getStore();
    return store?.get('userName');
}

function getLocalStorage() {
    return LOCAL_STORAGE;
}
module.exports = {
    getLocalStorage,
    setRequestId,
    getAccountId,
    getRequestId,
    setAccountId,
    getUserName,
    setUserName,
    setUserToken,
    getUserToken,
    setAction, getAction
};
