const {BadRequest} = require('../utils/errors');
const getLogger = require('../utils/logger');
const logger = getLogger();

function validateSchema(data, schema, allowUnknown = false) {
    const result = schema.validate(data, {allowUnknown});
    if (result.error) {
        logger.error('Schema Validation error', result.error);
        throw new BadRequest(result.error.message);
    }
}

function validateResponse(data, schema) {
    validateSchema(data, schema, true);
}

function validateRequest(data, schema) {
    validateSchema(data, schema, false);
}


module.exports = {validateRequest, validateResponse, validateSchema};
