const chai = require('chai');
const chaiAsPromised = require('chai-as-promised');
const chaiDateTime = require('chai-datetime');
const chaiShallowDeepEqual = require('chai-shallow-deep-equal');
const mongoose = require('mongoose');
const config = require('config');
const Promise = require('bluebird');

mongoose.Promise = Promise; // use bluebird with mongoose
// prepare chai
chai.config.includeStack = false;
chai.config.showDiff = true;
chai.config.truncateThreshold = 0;
chai.use(chaiShallowDeepEqual);
chai.use(chaiAsPromised);
chai.use(chaiDateTime);
const { expect, assert } = chai;
const should = chai.should();

before(done => {
    mongoose.connect(config.get('db'), err => {
        done(err);
    });
});

after(() => {
    mongoose.connection.close();
});

module.exports = { expect, assert, should };
