const { expect } = require('../globals');
const utils = require('../../src/utils/utils');

describe('utils library', () => {
    describe('isEmptyString', () => {
        it('should return true for undefined string', () => {
            expect(utils.isEmptyString(undefined)).to.be.true;
        });
        it('should return true for null string', () => {
            expect(utils.isEmptyString(null)).to.be.true;
        });
        it('should return true for empty string', () => {
            expect(utils.isEmptyString('')).to.be.true;
        });
        it('should return true for whitespace string', () => {
            expect(utils.isEmptyString('    ')).to.be.true;
        });
        it('should return false for a non empty string', () => {
            expect(utils.isEmptyString('  full  ')).to.be.false;
        });
    });
});
