const { should } = require('../globals');
const { Message2 } = require('../../src/models/message-v2');

describe.skip('Message2 Model', () => {
    const account = 'account';
    const payload = { some: 'thing' };

    describe('CRUD', () => {
        it('create', async() => {
            const message = await Message2.create({account, payload, expiration: Date.now(),
                milliseconds: Date.now()
            });
            should.exist(message);
            message.queue.should.equal(account);
            message.payload.should.deep.equal(payload);
            should.exist(message.createdAt);
            should.exist(message.updatedAt);
        });
    });

    it('get', async() => {
        const message = await Message2.create({ account, payload, expiration: Date.now(),
            milliseconds: Date.now()});
        const foundMessage = await Message2.findOne({_id: message.id});
        should.exist(foundMessage);
        foundMessage.queue.should.equal(account);
        foundMessage.payload.should.deep.equal(payload);
        should.exist(foundMessage.createdAt);
        should.exist(foundMessage.updatedAt);
    });

    it('update', async() => {
        const updatedQueue = 'updatedQueue';
        const message = await Message2.create({ account, payload, expiration: Date.now(),
            milliseconds: Date.now() });
        message.account = updatedQueue;
        await message.save();
        const foundMessage = await Message2.findOne({ _id: message.id });
        should.exist(foundMessage);
        foundMessage.account.should.equal(updatedQueue);
        foundMessage.payload.should.deep.equal(payload);
        should.exist(foundMessage.createdAt);
        should.exist(foundMessage.updatedAt);
    });

    it('delete', async() => {

        const message = await Message2.create({  account, payload });
        await Message2.deleteOne({ _id: message.id });
        const foundMessage = await Message2.findOne({ _id: message.id });
        should.not.exist(foundMessage);
    });
});
