import React from "react";
import Isvg from 'react-inlinesvg';

require("./oops.scss");

export default ({error, isCmIntegration, logout}) => {
    return (
    <div className="oops">
            <div className="logo">
                <img src={require('../assets/images/netapp-logo-oops.jpg')} alt=""/>
            </div>
            <div>
                <span><Isvg src={require("../assets/svgs/oops.svg")}/></span>
            </div>
            <h1>Oops! something went wrong</h1>

            <p>Please contact Cloud Sync support for more information about the error</p>
            <b>{`"${error}"`}</b>

            <div className="support">
                <a href={`mailto:ng-cloudsync-contact@netapp.com?subject=Cloud Sync - SSO login problem ${error}`}>Contact Support</a>
            </div>

            {!isCmIntegration &&
            <button className="button float-center" type="button" onClick={logout}>Log Out</button>}

        </div>
    )
}
