import React from 'react'
import Isvg from 'react-inlinesvg';
import ReactPopover from "../_common_/reactPopover/ReactPopover";
import "./RelationshipRecommendations.scss";

// variant: 'tableView' | 'cardView'
const RelationshipRecommendations = ({recommendations, variant}) => {
    return <div className={`recommendations-message ${variant === 'tableView' ? 'reverse' : ''}`}>
        <ReactPopover popoverClass="recommendations-tooltip"
                      preferPlace='above'
                      trigger={'mouseover'}
                      interactive={true}
                      container={<span className="recommendation-trigger">
                          <Isvg className="i-icon" src={require("../../assets/svgs/info-circle-icon.svg")}/>
                      </span>}>
            <ul className="recommendations-list">
                {recommendations.map(({id, text}) => <li key={id}>{text}</li>)}
            </ul>
        </ReactPopover>
        <span className="recommendations-text">
                          {recommendations.length === 1 ? recommendations[0]?.title : `${variant === 'cardView' ? 'You have ' : ''} ${recommendations.length} recommendations`}
                          </span>
    </div>

}

export default RelationshipRecommendations;