import React from "react";
import {connect} from "react-redux";
import classNames from "classnames";
import {calculateLicenseStatusFooter} from '../../utils/license-utils';
import {routesContainer} from '../../store/global/action_creators_consts';
import "./enforcementButton.scss";

const EnforcementButton = ({auth, _licenseSettings}) => {
    const {licenseStatusText, warning, error, title} = calculateLicenseStatusFooter({auth, _licenseSettings});
    if (licenseStatusText === "ACTIVE SUBSCRIPTION") return null;

    return (
        <div className={classNames("enforcement-button", {warning, error})}>
            <button onClick={() => {routesContainer.routes.push('/license');}}
                    title={title}>
                {licenseStatusText}
            </button>
        </div>
    );
};

const mapStateToProps = state => ({
    auth: state.global.auth,
    _licenseSettings: state.global._licenseSettings
});

export default connect(mapStateToProps)(EnforcementButton);