import React from "react";
import "./dialogLayout.scss";

const DialogLayout = ({closeDialog, title, children, onConfirm, confirmButtonText}) => {
    return (<div className="dialog-layout">
        <div className="dialog-title">{title}</div>
        <div className="scrollable-area">
            <div className="dialog-content">
                {children}
            </div>
        </div>
        <div className="button-footer">
            <div className="button-footer-border">
                {onConfirm && <button className="button" onClick={() => {onConfirm(); closeDialog && closeDialog();}}>{confirmButtonText}</button>}
                {closeDialog && <button className="button secondary" type="button" onClick={closeDialog}>{onConfirm ? "Cancel" : "Close"}</button>}
            </div>
        </div>
    </div>)
};

export default DialogLayout;