import React from 'react';
import Isvg from 'react-inlinesvg';
import {Link} from "react-router-dom";
import RightMenus from '../widgets/RightMenus';
import UserInfoContent from './UserInfoContent';
import SupportContentForm from "./SupportContent";
import "./header.scss";

const sliderContent = [
    {type: "support", component: <SupportContentForm/>, title: 'Support', icon: <span><Isvg src={require("../../assets/svgs/support.svg")} /></span>},
    {type: "user", component: <UserInfoContent/>, title: 'User settings', icon: <span><Isvg src={require("../../assets/svgs/user.svg")} /></span>}
];

export default ({auth: {succeeded}, children, showWithoutRightMenu}) => {
        const rightMenus = succeeded ? <RightMenus sliderContent={sliderContent}/> : '';
        return (
            <header className={`primary ${showWithoutRightMenu ? 'show' : ''}`}>
                <Link to="/" className="logo">Cloud Sync</Link>
                {children}
                {!showWithoutRightMenu && rightMenus}
            </header>
        );
};