import React from 'react'
import classNames from "classnames";
import Isvg from 'react-inlinesvg';

require("./refreshButton.scss");

const RefreshButton = ({onClick, disabled, storageObjectName}) => {
    const refreshButtonClassNames = classNames('refresh-button', {'disabled': disabled})

    return <span title={disabled?'Please refresh from the source step':null}><button type="button" className={refreshButtonClassNames} onClick={onClick} disabled={disabled}>
                                <span><Isvg src={require('./../../assets/svgs/refresh.svg')}/></span>
                                <span>{`Refresh ${storageObjectName}`}</span>
    </button></span>
}

export default RefreshButton;