import React from 'react';
import Isvg from "react-inlinesvg";
import {convertBytesToSize} from "../../utils/helpers";
import "./anfWeCard.scss";

export default {
    className: () => "anf-we-card",
    renderContent: (data) => {
        const {statistics, name} = data;
        const {volumesCount, totalAllocatedBytes, totalUsedBytes, locationsCount} = statistics;
        const freeCapacityBytes = totalAllocatedBytes - totalUsedBytes;
        const freeCapacity = convertBytesToSize(freeCapacityBytes);
        const freeCapacityStr = `${freeCapacity.value} ${freeCapacity.resolution}`;
        return (<>
                <div className="checkmark"><Isvg src={require('../../assets/svgs/checkmark-fill-circle-icon-color.svg')}/></div>
                <div className="card-content">
                    <div className="card-icon"><Isvg src={require('../../assets/svgs/anf-default.svg')}/></div>
                    <div className="card-details">
                        <div className="we-name">{name}</div>
                        <div className="we-details">
                            <CardDetail value={locationsCount} name="Locations"/>
                            <CardDetail value={volumesCount} name="Volumes"/>
                            <CardDetail value={freeCapacityStr} name="Free Capacity"/>
                        </div>
                    </div>
                </div>
            </>
        )
    }
};

const CardDetail = ({value, name}) => {
    return <div className="card-detail">
        <div className="value" title={value}>{value}</div>
        <div className="name">{name}</div>
    </div>
};