import React from 'react';
import {connect} from "react-redux";
import {createStringFromEndPointObject} from "./../../utils/helpers";
import {deleteRelationship} from "../../store/wizard/action_creators";
import DialogLayout from '../dialog/DialogLayout';

const DeleteRelationshipDialog = ({closeDialog, data, deleteRelationship}) => (
    <DialogLayout
        title="Delete Sync Relationship"
        closeDialog={closeDialog}
        onConfirm={() => deleteRelationship(data.id)}
        confirmButtonText="Delete"
    >
        <p>Are you sure you want to delete the Sync Relationship from {createStringFromEndPointObject(data.source)} to {createStringFromEndPointObject(data.target)}?</p>
        <p>All the data in the target will remain.</p>

    </DialogLayout>
);

export default connect(null, {deleteRelationship})(DeleteRelationshipDialog);