import React from 'react';
import DialogLayout from '../dialog/DialogLayout';

const DownloadLogsDialog = ({closeDialog, downloadDataBrokerLogs, relationship}) => {
    const dataBrokersCount = relationship.group.dataBrokers.length;
    return (
        <DialogLayout
            title="Download Data Broker Logs"
            closeDialog={closeDialog}
            onConfirm={() => downloadDataBrokerLogs(relationship.group.id, relationship.relationshipId)}
            confirmButtonText="Send Request"
        >
            <p>The logs will be saved to your web browser&#39;s download location.</p>
            <p>This process usually takes a couple of minutes.</p>
            {dataBrokersCount > 1 && <p>Note: This relationship is associated with {dataBrokersCount} data brokers, so you will receive separate logs for each data broker.</p>}
        </DialogLayout>)
};
export default DownloadLogsDialog;