import React from 'react';
import {connect} from "react-redux";
import {createStringFromEndPointObject} from "./../../utils/helpers";
import {syncNow} from '../../store/wizard/action_creators';
import DialogLayout from '../dialog/DialogLayout';

const SyncNowConfirmDialog = ({syncNow, closeDialog, data}) => (
    <DialogLayout
            title="Sync Now"
            closeDialog={closeDialog}
            onConfirm={() => syncNow(data.id)}
            confirmButtonText="Sync"
        >
        <p>Are you sure you want to sync the data from : {createStringFromEndPointObject(data.source)} to: {createStringFromEndPointObject(data.target)}?</p>
    </DialogLayout>
);

export default connect(null, {syncNow})(SyncNowConfirmDialog);