import React from 'react';
import HeaderBox from "./HeaderBox";
import {CSSTransition, TransitionGroup} from "react-transition-group"
require("./costHeader.scss");

const createHeaderBox = (headexBox) =>{
    return <CSSTransition component="div" classNames="header"
                          appear={true}
                          enter={true}
                          exit={false}
                          timeout={{ enter: 600 }}>
        {headexBox}
    </CSSTransition>
};



export default ({data}) => {
    const dataNotClassified = !data.isBYOL && !data.isTier1 && !data.isTier2 && !data.isTier3;
    return (
        <div className="cost-header clearfix">
            <div className="header-title">Active Pricing Models:</div>
            <TransitionGroup className="pricing-container">
                {data.isBYOL && createHeaderBox(<HeaderBox  key="byol" data={{
                    title:"BYOL License",
                    className: "byol",
                    boxTitle: "20 Relationships Per License",
                    prices: ["1", "20"],
                    pricesDesc: ["BYOL License", "Enables Relationships"]
                }}></HeaderBox>)}
                {data.isTier1 && createHeaderBox(<HeaderBox key="tier1" data={{
                    title:"AWS Subscription",
                    className: "tier1",
                    boxTitle: "First 1-5 Sync Relationships",
                    prices: ["$0.150"],
                    pricesDesc: ["Per Hour"]
                }}></HeaderBox>)}
                {data.isTier2 && createHeaderBox(<HeaderBox key="tier2" data={{
                    title:"AWS Subscription",
                    className: "tier2",
                    boxTitle: "Next 6-20 Sync Relationships",
                    prices: ["$0.100"],
                    pricesDesc: ["Per Hour"]
                }}></HeaderBox>)}
                {data.isTier3 && createHeaderBox(<HeaderBox key="tier3" data={{
                    title:"AWS Subscription",
                    className: "tier3",
                    boxTitle: "More than 20 Sync Relationships",
                    prices: ["$0.085"],
                    pricesDesc: ["Per Hour"]
                }}></HeaderBox>)}
                {dataNotClassified && <div></div>}
            </TransitionGroup>


        </div>
    )
}

