import React from 'react';

export default ({data}) => {
    const locationMap = {0: "first", 1: "second"};
    const boxes = data.prices.map((price, index) => {
        return (
            <div key={price} className={`price-box ${locationMap[index]}`}>
                <div className="inner">
                    <div className="value">{price}</div>
                    <div className="sub">{data.pricesDesc[index]}</div>
                </div>
            </div>
        )
    });
    return(
        <div className="pricing-model">
            <div className="title">{data.title}</div>
            <div className={`${data.className} box-title`}>{data.boxTitle}</div>
            <div className="counters">
                {boxes}
            </div>
        </div>
    )
}