import React from 'react';
import Isvg from 'react-inlinesvg';
import DialogLayout from '../../dialog/DialogLayout';
require("../../dialog/dialogs.scss");
require("./subscriptionFlowDialog.scss");

const SubscriptionFlowDialog = ({closeDialog, providerInstructions, backToCloudSyncInstructions, videoLink, provider, iconFileName, providerLink}) => {

    const goToMarketplace = () => {
        window.location = providerLink;
    };
    return (
        <DialogLayout
            title={`${provider} Subscription Steps`}
            closeDialog={closeDialog}
            onConfirm={goToMarketplace}
            confirmButtonText="Continue"
        >

        <div className="step row medium">
            <div className="medium-2 step-icon">
                <span><Isvg src={require('../../../assets/svgs/cloud-sync-logo.svg')}/></span>
            </div>
            <div className="medium-10">
                <h6>Cloud Sync</h6>
                <p>Clicking Continue redirects you to the {provider === 'AWS' ? 'AWS Marketplace' : 'Azure Portal'}.</p>
            </div>
        </div>

        <div className="row medium">
            <div className="medium-2">
                <div className="step-divider"/>
            </div>
        </div>

        <div className="step row medium">
            <div className="medium-2 step-icon">
                <span><Isvg src={require(`../../../assets/svgs/${iconFileName}.svg`)}/></span>
            </div>
            <div className="medium-10">
                <h6>{provider === 'AWS' ? 'AWS Marketplace' : 'Azure Portal'}</h6>
                <p>{providerInstructions}</p>
            </div>
        </div>

        <div className="row medium">
            <div className="medium-2">
                <div className="step-divider"/>
            </div>
        </div>

        <div className="step row medium">
            <div className="medium-2 step-icon">
                <span><Isvg src={require('../../../assets/svgs/cloud-sync-logo.svg')}/></span>
            </div>
            <div className="medium-10 step-text">
                <h6>Cloud Sync</h6>
                <p>{backToCloudSyncInstructions}</p>
            </div>
        </div>

       {videoLink &&
        <div className="view-video-container">
            <a href={videoLink} target="_blank" rel="noopener noreferrer"  className="view-video"><span><Isvg src={require('../../../assets/svgs/triangle-circle-icon.svg')}/></span>View Video Instruction</a>
        </div>}

    </DialogLayout>)
};

export default SubscriptionFlowDialog;