import React from "react";
import {NotificationError} from '../notifications/NotificationItems';
import "./buttonWithNotification.scss";
import SmallLoader from '../_common_/SmallLoader/SmallLoader';

const ButtonWithNotification = (props) => {
    const {disable, text, submitting = false, error, clearError, className, onCancel, children} = props;
    const buttonProps = {...props};
    delete buttonProps.disable;
    delete buttonProps.children;
    delete buttonProps.submitting;
    delete buttonProps.error;
    delete buttonProps.clearError;
    delete buttonProps.className;
    delete buttonProps.onCancel;

    return <div className="button-with-notification">
        <div className="fix-buttons">
            {children}
            <button disabled={submitting || disable} className={`button primary ${className ? className : ""}`} {...buttonProps}>
                {!submitting && <div className="button-text">{text}</div>}
                {submitting && <SmallLoader/>}
            </button>
            {onCancel && <button disabled={submitting} className="button secondary" onClick={onCancel}>
                Cancel
            </button>}
            {error && <NotificationError
                text={error}
                onClose={clearError}/>}
        </div>

    </div>
};

export default ButtonWithNotification;