import React, {Component} from "react"
import classNames from "classnames"
import Isvg from 'react-inlinesvg';
import ReactDOM from "react-dom";
import {parentIsComparator} from "./../../utils/dom";
require("./searchWidget.scss");

export default class extends Component{
    constructor(props, context){
        super(props, context);
        this.state = {open: false};
    }

    open(){
        this.setState({open: true});
        ReactDOM.findDOMNode(this._input).value = "";
        setTimeout(() => { ReactDOM.findDOMNode(this._input).focus(); })
    }

    componentDidMount(){
        this.closeListener = (event) => {
            if(!this.state.open || this._input.value || parentIsComparator(event.target, ReactDOM.findDOMNode(this))) return;

            this.close();
        };
        document.body.addEventListener('click', this.closeListener);
    }

    UNSAFE_componentWillReceiveProps(nextProps) {
        const {_ui} = nextProps;
        if (_ui && _ui.closeSearchWidget && this.state.open) {
            this.close();
            this.props.clearCloseSearchWidget();
        }
    }

    componentWillUnmount(){
        document.body.removeEventListener('click', this.closeListener);
    }

    close(){
        this.applyFilter(null);
        this.setState({open: false});
    }

    handleChange(event){
        this.applyFilter(event.target.value);
    }

    applyFilter(filterValue){
        this.props.setFilter(filterValue);
    }

    render(){
        const classes = classNames(this.props.className, "search-widget", {open: this.state.open});
        return (
            <div className={classes}>
                <button type="button" className="open" onClick={this.open.bind(this)}> <span><Isvg src={require("./../../assets/svgs/magnifying-glass.svg")}/></span></button>
                <input autoFocus ref={(el) => this._input = el} onChange={this.handleChange.bind(this)}placeholder="You can search by all visible fields"></input>
                <button type="button" className="close float-right" onClick={this.close.bind(this)}> <span><Isvg src={require("./../../assets/svgs/x.svg")}/></span></button>
            </div>
        )
    }
}