import React from "react";
import Isvg from 'react-inlinesvg';

export const TARGET_FOLDER_NOTICE = "The target folder should be empty. In some cases, existing files within a folder might be deleted";
export const TARGET_DIRECTORY_NOTICE = "The target directory should be empty. In some cases, existing files within a directory might be deleted";

export const FAILED_AFTER_STARTUP_MESSAGE = 'You should delete the relationship and start over';

export const PAYLOAD_DATA_BROKER_STATUS = 'data-broker-status';
export const PAYLOAD_SHOW_EXPORTS = 'list-nfs-exports';
export const PAYLOAD_LIST_FOLDERS = 'list-nfs-export-folders';
export const PAYLOAD_LIST_CIFS_SHARES = 'list-cifs-shares';
export const PAYLOAD_LIST_CIFS_SHARE_FOLDERS = 'list-cifs-share-folders';
export const PAYLOAD_LIST_BUCKETS = 'list-s3-buckets';
export const PAYLOAD_LIST_SUB_DIRECTORIES = 'list-s3-bucket-folders';
export const PAYLOAD_LIST_CONTAINERS = 'list-azure-blob-storage-containers';
export const PAYLOAD_LIST_CONTAINER_SUB_DIRECTORIES = 'list-azure-blob-storage-container-folders';
export const PAYLOAD_LIST_SGWS_BUCKETS = 'list-sgws-buckets';
export const PAYLOAD_LIST_SGWS_BUCKETS_FOLDERS = 'list-sgws-bucket-folders';
export const PAYLOAD_LIST_IBM_BUCKETS = 'list-ibm-buckets';
export const PAYLOAD_LIST_IBM_BUCKETS_FOLDERS = 'list-ibm-bucket-folders';
export const PAYLOAD_LIST_ONTAP_BUCKETS = 'list-ontap-s3-buckets';
export const PAYLOAD_LIST_ONTAP_BUCKETS_FOLDERS = 'list-ontap-s3-bucket-folders';
export const PAYLOAD_LIST_GCP_BUCKETS = 'list-gcp-buckets';
export const PAYLOAD_LIST_GCP_BUCKET_FOLDERS = 'list-gcp-bucket-folders';
export const PAYLOAD_DATA_BROKER_LOGS = "update-data-broker-logs";
export const PAYLOAD_LIST_KMS_KEYS = "list-kms-keys";

export const PAYLOAD_TIMELINE = 'timeline';
export const PAYLOAD_UPDATE_RELATIONSHIP = 'update-relationship-v2';
export const PAYLOAD_UPDATE_SUBSCRIPTION_STATUS = 'update-subscription-status';
export const PAYLOAD_UPDATE_ACCOUNT_INFO = 'update-account-info';
export const PAYLOAD_DATABROKER_TRANSFER_RATE = 'databroker-transfer-rate';
export const PAYLOAD_UPDATE_SUPPORT_INFO = 'update-support-info';

export const RESPONSE_STATUS_FAILED = "FAILED";
export const RESPONSE_STATUS_INTERRUPTED = "INTERRUPTED";
export const RESPONSE_STATUS_ABORTING = "ABORTING";
export const RESPONSE_STATUS_ABORTED = "ABORTED";
export const RESPONSE_STATUS_RUNNING = "RUNNING";
export const RESPONSE_STATUS_DONE = "DONE";
export const RESPONSE_STATUS_PENDING = "PENDING";
//This is a UI status, for showing an accurate status between clicking "sync now" and the first "update relationship" message:
export const STATUS_STARTING = "STARTING";

export const BROKER_STATUS_FAILED = "FAILED";
export const BROKER_STATUS_COMPLETE = "COMPLETE";

export const SELECTED_PARAMS_DATA_BROKER_ID = "dataBrokerId";
export const SELECTED_PARAMS_DATA_BROKER_ID_TARGET = "dataBrokerIdTarget";
export const SELECTED_PARAMS_NFS_SERVER = "nfsServer";
export const SELECTED_PARAMS_NFS_VERSION = "nfsVersion";
export const SELECTED_PARAMS_CIFS_SERVER = "cifsServer";
export const SELECTED_PARAMS_TARGET_NFS_SERVER = "nfsServerTarget";
export const SELECTED_PARAMS_TARGET_NFS_VERSION = "targetNfsVersion";
export const SELECTED_PARAMS_TARGET_CIFS_SERVER = "cifsServerTarget";
export const SELECTED_PARAMS_AZURE_STORAGE_ACCOUNT = "storageAccountName";
export const SELECTED_PARAMS_TARGET_AZURE_STORAGE_ACCOUNT = "storageAccountNameTarget";

export const TIMELINE_ACTION_STATUS_PROGRESS = "In Progress";
export const TIMELINE_ACTION_STATUS_DONE = "Success";
export const TIMELINE_ACTION_STATUS_FAILED = "Failed";
export const TIMELINE_ACTION_STATUS_INTERRUPTED = "Interrupted";
export const TIMELINE_ACTION_STATUS_ABORTED = "Aborted";
export const TIMELINE_ACTION_STATUS_ABORTING = "Aborting";
export const TIMELINE_ACTION_STATUS_PENDING = "Pending";

export const FM_AGENT = "Data Broker";
export const DATA_BROKER_FUNCTION = "Define Data Broker Functionality";

const testingEnv = process.env.NODE_ENV === 'test';

export const FM_AGENT_TYPE_AWS = {
    name: 'AWS',
    displayName: `AWS ${FM_AGENT}`,
    providerName: "Amazon Web Services",
    company: "Amazon",
    disabledIcon: testingEnv ? "" :
        <span className="aws data-broker icon"><Isvg src={require(`./assets/svgs/s3-no-circle-disabled.svg`)}/></span>,
    colorIcon: testingEnv ? "" :
        <span className="aws data-broker icon"><Isvg src={require(`./assets/svgs/s3-no-circle.svg`)}/></span>,
    circledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/s3-card.svg")}/>,
    disabledCircledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/s3-card-disabled.svg")}/>
};
export const FM_AGENT_TYPE_ONPREM = {
    name: 'ONPREM',
    displayName: `On-Prem ${FM_AGENT}`,
    providerName: "",
    company: "",
    disabledIcon: testingEnv ? "" :
        <span className="onprem data-broker icon"><Isvg src={require(`./assets/svgs/file-server-no-circle-disabled.svg`)}/></span>,
    colorIcon: testingEnv ? "" :
        <span className="onprem data-broker icon"><Isvg src={require(`./assets/svgs/file-server-no-circle.svg`)}/></span>,
    circledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/file-server-card.svg")}/>,
    disabledCircledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/file-server-card-disabled.svg")}/>
};
export const FM_AGENT_TYPE_AZURE = {
    name: 'AZURE',
    displayName: `Azure ${FM_AGENT}`,
    providerName: "Microsoft Azure",
    company: "Microsoft",
    disabledIcon: testingEnv ? "" :
        <span className="azure data-broker icon"><Isvg src={require(`./assets/svgs/azure-no-circle-disabled.svg`)}/></span>,
    colorIcon: testingEnv ? "" :
        <span className="azure data-broker icon"><Isvg src={require(`./assets/svgs/azure-no-circle.svg`)}/></span>,
    circledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/azure-card.svg")}/>,
    disabledCircledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/azure-card-disabled.svg")}/>

};
export const FM_AGENT_TYPE_GCP = {
    name: 'GCP',
    displayName: `Google Cloud ${FM_AGENT}`,
    providerName: "Google Cloud",
    company: "Google",
    disabledIcon: testingEnv ? "" :
        <span className="gcp data-broker icon"><Isvg src={require(`./assets/svgs/gcp-no-circle-disabled.svg`)}/></span>,
    colorIcon: testingEnv ? "" :
        <span className="gcp data-broker icon"><Isvg src={require(`./assets/svgs/gcp-no-circle.svg`)}/></span>,
    circledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/gcp-card.svg")}/>,
    disabledCircledIcon: testingEnv ? "" : <Isvg src={require("./assets/svgs/gcp-card-disabled.svg")}/>
};

export const DOCUMENTATION_URL = "https://docs.netapp.com/us-en/cloudsync";
export const DOCUMENTATION_LICENSING_URL = DOCUMENTATION_URL + "/task_licensing.html";
export const DOCUMENTATION_DATA_BROKER = DOCUMENTATION_URL + "/task_quick_start.html";
export const DOCUMENTATION_DATA_BROKER_ONPREM = DOCUMENTATION_URL + "/task_installing_linux.html";
export const BUCKET_PERMISSIONS_DOCUMENTATION = DOCUMENTATION_URL + "/reference_sync_requirements.html#s3";
export const DOCUMENTATION_ANF_RECOMMENDATION = DOCUMENTATION_URL + "/reference_sync_requirements.html#azure-netapp-files-requirement";

export const UNKNOWN_SYNC_STATUS = "The 'Sync Status' is unknown since there is no connection to the data brokers.";

export const LICENSE_TYPE_FREE_TRIAL = "Free Trial";
export const LICENSE_TYPE_PAYGO = "PayGo";
export const LICENSE_TYPE_PAYGO_WITH_BYOL = "PayGo with BYOL";
export const LICENSE_TYPE_BYOL = "BYOL";
export const LICENSE_TYPE_UNKNOWN = "Unknown License Type";

export const purchaseInfo = <span>Purchase a license by <a
    href="mailto:ng-cloudsync-byol@netapp.com?subject=Cloud Sync - BYOL Purchase Request">contacting us</a>.</span>;

export const SAAS_REGISTRATION_STATUS_INIT = 'unsubscribed-init'; // from server
export const SAAS_REGISTRATION_STATUS_UNSUBSCRIBED = 'unsubscribe-success'; // from server
export const SAAS_REGISTRATION_STATUS_UNSUBSCRIBE_PENDING = 'unsubscribe-pending'; // from Amazon
export const SAAS_REGISTRATION_STATUS_RESOLVE_SUCCESS = 'resolve-success'; // from server
export const SAAS_REGISTRATION_STATUS_RESOLVE_FAILED = 'resolve-failed'; // from server
export const SAAS_REGISTRATION_STATUS_SUBSCRIBE_SUCCESS = 'subscribe-success'; // from Amazon
export const SAAS_REGISTRATION_STATUS_SUBSCRIBE_FAILED = 'subscribe-failed'; // from Amazon
export const SAAS_REGISTRATION_PAYGO_SUBSCRIPTION_TYPE = 'PAYGO'; // from Amazon

export const AWS_MP_PRICING_MODEL_PAYGO_URL = "https://aws.amazon.com/marketplace/pp/B01LZV5DUJ";
export const AWS_MP_PRICING_MODEL_ANNUAL_URL = "https://aws.amazon.com/marketplace/pp/B06XX5V3M2";
export const AZURE_MP_PRICING_MODEL_URL = "https://azuremarketplace.microsoft.com/en-us/marketplace/apps/netapp.cloud-sync-service?tab=PlansAndPrice";
export const AWS_MP_SUBSCRIBE_URL = "https://aws.amazon.com/marketplace/pp/B01LZV5DUJ";
export const AWS_MP_UNSUBSCRIBE_URL = "https://aws.amazon.com/marketplace/library";

export const END_POINT_NAMES_MAP = {
    "NFS": "NFS Server",
    "ANF": "Azure NetApp Files",
    "CVS": "Cloud Volumes Service",
    "EFS": "AWS EFS",
    "CIFS": "SMB Server",
    "S3": "AWS S3",
    "SGWS": "StorageGRID Server",
    "GCP": "Google Cloud Storage",
    "IBM": "IBM Cloud Object Storage Server",
    "AZURE": "Azure Blob",
    "ONTAP": "ONTAP S3 Storage Server",
    "CVO": "Cloud Volumes ONTAP"
};

export const OBJECT_STORAGE_NAMES_MAP = {
    S3: "AWS S3 Bucket",
    SGWS: "StorageGRID Bucket",
    GCP: "Google Cloud Storage Bucket",
    IBM: "IBM Cloud Object Storage Bucket",
    AZURE: "Azure Blob Storage Account",
    ONTAP: "ONTAP S3 Storage Bucket"
};

export const NEW_TARGET_FOLDER_ID = "NEW_TARGET_FOLDER_ID";
export const STORAGE_OBJECT_KEY_MAX_LENGTH = 1024;

export const FREE_TRIAL_PERIOD = 14;

// Regular expressions taken from OCCM and modified
export const IP_REG_EXP = /^(\\d|[1-9]\\d|1\\d\\d|2([0-4]\\d|5[0-5]))\\.(\\d|[1-9]\\d|1\\d\\d|2([0-4]\\d|5[0-5]))\\.(\\d|[1-9]\\d|1\\d\\d|2([0-4]\\d|5[0-5]))\\.(\\d|[1-9]\\d|1\\d\\d|2([0-4]\\d|5[0-5]))$/;
export const HOST_NAME_REG_EXP = /^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9-]*[A-Za-z0-9])$/;
export const KEYS_REG_EXP = /^[ -~]+$/g;
export const HOST_IPV4_IPV6_REG_EXP = /((^\s*((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))\s*$)|(^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$))|(^\s*((?=.{1,255}$)(?=.*[A-Za-z].*)[0-9A-Za-z](?:(?:[0-9A-Za-z]|\b-){0,61}[0-9A-Za-z])?(?:\.[0-9A-Za-z](?:(?:[0-9A-Za-z]|\b-){0,61}[0-9A-Za-z])?)*)\s*$)/;
//regular expression for dns and ip - from http://jsfiddle.net/DanielD/8S4nq/

export const NFS_VERSIONS = [{label: "3", value: "3"}, {label: "4.0", value: "4.0"}, {
    label: "4.1",
    value: "4.1"
}, {label: "4.2", value: "4.2"}];
export const NFS_CVS_VERSIONS = [{label: "3", value: "3"}, {label: "4.1", value: "4.1"}];
export const NFS_ANF_VERSIONS = [{label: "3", value: "3"}, {label: "4.1", value: "4.1"}];
export const CIFS_VERSIONS = [
    {label: "1.0", value: "1.0"},
    {label: "2.0", value: "2.0"},
    {label: "2.1", value: "2.1"},
    {label: "3.0", value: "3.0"},
    {label: "3.11", value: "3.11"}];
export const DEFAULT_CIFS_VERSION = "2.1";

export const DEFAULT_NFS_VERSION = {
    NFS: "3",
    EFS: "4.1",
    CVS: "3",
    ANF: "3",
    CVO: "3"
};

export const SERVER_TYPES = {
    "NFS": "nfs",
    "NFS-ANF": "nfsAnf",
    "NFS-EFS": "nfsEfs",
    "NFS-CVS": "nfsCvs",
    "NFS-CVO": "nfsCvo",
    "CIFS": "cifs",
    "CIFS-ANF": "cifsAnf",
    "CIFS-CVS": "cifsCvs",
    "CIFS-CVO": "cifsCvo",
    "S3-SGWS": "s3Sgws",
    "S3-IBM": "s3Ibm",
    "S3-ONTAP": "s3Ontap"
};

export const MAX_S3_TAGS = 5;

export const DraggableTypes = {
    END_POINT: "endPoint"
};

export const STORAGE_CLASS_OPTIONS = [
    {label: "Standard", value: "STANDARD"},
    {label: "Standard-Infrequent Access", value: "STANDARD_IA"},
    {label: "One Zone-Infrequent Access", value: "ONEZONE_IA"},
    {label: "Intelligent-Tiering", value: "INTELLIGENT_TIERING"},
    {label: "Glacier", value: "GLACIER"},
    {label: "Glacier Deep Archive", value: "DEEP_ARCHIVE"}
];

export const DEFAULT_STORAGE_CLASS = "STANDARD";

export const ENCRYPTION_TYPES = {
    KMS_EXISTING: "KMS_EXISTING",
    KMS_MANUAL: "KMS_MANUAL",
    AES: "AES",
};

export const ENCRYPTION_TYPES_NAMES = {
    KMS: "kms",
    AES: "aes256",
    NONE: "none"
};

export const ENCRYPTION_OPTIONS = [
    { value: ENCRYPTION_TYPES.KMS_EXISTING, label: 'AWS KMS encryption: select a key', name: ENCRYPTION_TYPES_NAMES.KMS, isKeyRequired: true},
    { value: ENCRYPTION_TYPES.KMS_MANUAL, label: 'AWS KMS encryption: enter a key ARN', name: ENCRYPTION_TYPES_NAMES.KMS, isKeyRequired: true},
    { value: ENCRYPTION_TYPES.AES, label: 'AES-256 encryption', name: ENCRYPTION_TYPES_NAMES.AES, isKeyRequired: false}
];

export const AZURE_BLOB_TIER_OPTIONS = [
    {label: "Hot", value: "HOT"},
    {label: "Cool", value: "COOL"},
    {label: "Archive", value: "ARCHIVE"}
];
export const DEFAULT_AZURE_BLOB_TIER = "HOT";

export const SUPPORT_REGISTERED = "registered";
export const SUPPORT_IN_PROGRESS = "in_progress";
export const SUPPORT_NOT_REGISTERED = "unregistered";

export const SUPPORT_TICKET_URL = "https://mysupport.netapp.com/cssportal/faces/oracle/webcenter/portalapp/pages/css/casesparts/CreateCaseLanding.jspx";
export const SUPPORT_PHONE = "https://www.netapp.com/us/contact-us/support.aspx";
export const SALES = "https://www.netapp.com/us/forms/sales-contact.aspx";
export const COMMUNITIES = "https://community.netapp.com/t5/Cloud-Data-Services/ct-p/CDS";
export const FAQ = "https://docs.netapp.com/us-en/cloudsync/faq.html";

export const TEXT_DURATION_FEW_SECONDS = "Less than a minute";

export const AZURE_SSH_INSTRUCTIONS = 'https://docs.microsoft.com/en-us/azure/virtual-machines/linux/mac-create-ssh-keys';

export const DEPLOY_STATUS_ERROR = 'ERROR';
export const DEPLOY_STATUS_SUCCESS = 'SUCCESS';
export const DEPLOY_STATUS_PROGRESS = 'IN-PROGRESS';

export const DATA_BROKER_WIZARD_STEPS = {
    DATA_BROKER_DETAILS: 0,
    PROVIDER_LOGIN: 1,
    INSTANCE_DETAILS: 2
};

export const RELATIONSHIP_RECOMMENDATIONS = {
    manyRelationshipsOnFewDb: 'manyRelationshipsOnFewDb',
    targetAnfRelationship: 'targetAnfRelationship',
    manySmallFiles: 'manySmallFiles'
};

export const CARDS_VIEW = 'CARDS_VIEW';
export const TABLE_VIEW = 'TABLE_VIEW';

export const AWS_CREATE_BROKER_POLICY_REQUIREMENTS = "https://s3.amazonaws.com/metadata.datafabric.io/docs/aws_iam_policy.json";
export const AWS_BROKER_POLICY_REQUIREMENTS = "https://docs.netapp.com/us-en/cloudsync/media/aws_iam_policy_data_broker.json";

export const NOTIFICATION_TYPES = {
    INFO: 'INFO',
    ERROR: 'ERROR',
    SUCCESS: 'SUCCESS',
};

export const DEPLOY_PROGRESS_NOTIFICATION = `Data broker creation is in progress. You can view the status by clicking the data broker "info" icon for the associated relationship.`;

export const CLOUD_FORMATION_LINK = "https://console.aws.amazon.com/cloudformation/home?#/stacks?filter=active&tab=events";

export const ENABLE_DISABLE_OPTIONS = [{value: true, label: "Enable"}, {value: false, label: "Disable"}];

export const MISSING_ANF_NOTIFICATION = "No Azure NetApp Files working environments were found. Go to the Working Environments tab and create an Azure NetApp Files working environment.";
