
let auth2 = null;
let googleUser = null;
const authDefaultSettings = {
  client_id: process.env.REACT_APP_GCP_CLIENT_ID,
  scope: "https://www.googleapis.com/auth/cloud-platform"
};

export const init = async () => {
  return new Promise((res) => {
    if (auth2) {
      res("Success");
    } else {
      // eslint-disable-next-line no-undef
      gapi.load("client:auth2", () => {
        // eslint-disable-next-line no-undef
        auth2 = gapi.auth2.init(authDefaultSettings);
        res("Success");
      });
    }
  });
};

export const authenticate = () => {
  return new Promise((res, rej) => {
    // eslint-disable-next-line no-undef
    if (isAuthenticated()) {
      res(true);
    } else {
      (async () => {
        try {
          googleUser = await auth2.signIn({});
          res(true);
        } catch (err) {
          rej(false);
        }
      })()
    }
  });
};

export const isAuthenticated = () => {
  return (!!googleUser || process.env.REACT_APP_SIMULATED_API === "true");
};
