import { __extends } from "tslib";
import { deserializeAws_queryCreateStackCommand, serializeAws_queryCreateStackCommand } from "../protocols/Aws_query";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
var CreateStackCommand = /** @class */ (function (_super) {
    __extends(CreateStackCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function CreateStackCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    CreateStackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateStackCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryCreateStackCommand(input, context);
    };
    CreateStackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryCreateStackCommand(output, context);
    };
    return CreateStackCommand;
}($Command));
export { CreateStackCommand };
//# sourceMappingURL=CreateStackCommand.js.map