import { __extends } from "tslib";
import { deserializeAws_querySetStackPolicyCommand, serializeAws_querySetStackPolicyCommand, } from "../protocols/Aws_query";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
var SetStackPolicyCommand = /** @class */ (function (_super) {
    __extends(SetStackPolicyCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function SetStackPolicyCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    SetStackPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetStackPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySetStackPolicyCommand(input, context);
    };
    SetStackPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySetStackPolicyCommand(output, context);
    };
    return SetStackPolicyCommand;
}($Command));
export { SetStackPolicyCommand };
//# sourceMappingURL=SetStackPolicyCommand.js.map