import { __extends } from "tslib";
import { deserializeAws_querySignalResourceCommand, serializeAws_querySignalResourceCommand, } from "../protocols/Aws_query";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
var SignalResourceCommand = /** @class */ (function (_super) {
    __extends(SignalResourceCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function SignalResourceCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    SignalResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SignalResourceCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySignalResourceCommand(input, context);
    };
    SignalResourceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySignalResourceCommand(output, context);
    };
    return SignalResourceCommand;
}($Command));
export { SignalResourceCommand };
//# sourceMappingURL=SignalResourceCommand.js.map