import { __extends } from "tslib";
import { deserializeAws_queryUpdateStackCommand, serializeAws_queryUpdateStackCommand } from "../protocols/Aws_query";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
var UpdateStackCommand = /** @class */ (function (_super) {
    __extends(UpdateStackCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function UpdateStackCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    UpdateStackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateStackCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryUpdateStackCommand(input, context);
    };
    UpdateStackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryUpdateStackCommand(output, context);
    };
    return UpdateStackCommand;
}($Command));
export { UpdateStackCommand };
//# sourceMappingURL=UpdateStackCommand.js.map