import { SharedConfigFiles, SharedConfigInit } from "@aws-sdk/shared-ini-file-loader";
import { CredentialProvider } from "@aws-sdk/types";
export declare const ENV_PROFILE = "AWS_PROFILE";
export interface FromProcessInit extends SharedConfigInit {
    /**
     * The configuration profile to use.
     */
    profile?: string;
    /**
     * A promise that will be resolved with loaded and parsed credentials files.
     * Used to avoid loading shared config files multiple times.
     */
    loadedConfig?: Promise<SharedConfigFiles>;
}
/**
 * Creates a credential provider that will read from a credential_process specified
 * in ini files.
 */
export declare function fromProcess(init?: FromProcessInit): CredentialProvider;
