import { Provider, RetryStrategy } from "@aws-sdk/types";
export interface RetryInputConfig {
    /**
     * The maximum number of times requests that encounter retryable failures should be attempted.
     */
    maxAttempts?: number;
    /**
     * The strategy to retry the request. Using built-in exponential backoff strategy by default.
     */
    retryStrategy?: RetryStrategy;
}
interface PreviouslyResolved {
    maxAttemptsDefaultProvider: (input: any) => Provider<string>;
}
export interface RetryResolvedConfig {
    maxAttempts: Provider<string>;
    retryStrategy: RetryStrategy;
}
export declare const resolveRetryConfig: <T>(input: T & PreviouslyResolved & RetryInputConfig) => T & RetryResolvedConfig;
export {};
