"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.moveHeadersToQuery = void 0;
var tslib_1 = require("tslib");
var cloneRequest_1 = require("./cloneRequest");
/**
 * @internal
 */
function moveHeadersToQuery(request) {
    var e_1, _a;
    var _b = typeof request.clone === "function" ? request.clone() : cloneRequest_1.cloneRequest(request), headers = _b.headers, _c = _b.query, query = _c === void 0 ? {} : _c;
    try {
        for (var _d = tslib_1.__values(Object.keys(headers)), _e = _d.next(); !_e.done; _e = _d.next()) {
            var name_1 = _e.value;
            var lname = name_1.toLowerCase();
            if (lname.substr(0, 6) === "x-amz-") {
                query[name_1] = headers[name_1];
                delete headers[name_1];
            }
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (_e && !_e.done && (_a = _d.return)) _a.call(_d);
        }
        finally { if (e_1) throw e_1.error; }
    }
    return tslib_1.__assign(tslib_1.__assign({}, request), { headers: headers,
        query: query });
}
exports.moveHeadersToQuery = moveHeadersToQuery;
//# sourceMappingURL=moveHeadersToQuery.js.map